
Redmine - Defect #15916

I can not lift redmine...

2014-01-21 00:14 - Juan Cruz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

the problem I have with redmine is unable to enter the login, I am entering the right credentials but will not let me, send me the error

"Redmine 500 error".

===============================

FAILSAFE "DATE"

status: 500 Internal Server Error

can not generate tempfile 'file'

===============================

History

#1 - 2014-01-21 00:28 - Juan Cruz

I need your help please...!!!!!!

#2 - 2014-01-21 08:59 - Daniel Felix

First of all... We do this in our "freetime". We can't give 24/7 Support.

Second... This doesn't seem to be a Redmine related issue as I've never seen this error before.

I guess this could be a apache error or maybe a permission error on some files?

My suggestion:

1. Ensure that every filesystem permission is set correct.

2. Try to start Redmine with Webrick which is included in Rails. Try this using:

cd /path/to/your/redmine

ruby ./script/rails server webrick -e production (or whatever environment your are using)

Retry if your process works now. If it works with webrick, recheck your servers configuration (I guess Apache)

#3 - 2014-01-21 22:29 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

#4 - 2014-01-22 00:01 - Juan Cruz

Might you support telling me ...

. 1 - What are the permissions that should have redmine folders, eg "chmod 755 *"?

. 2 - What is the configuration that should be the httpd.conf file?

#5 - 2014-01-22 09:04 - Daniel Felix

Well I'm running it normally on 755, which should be okay.

Well the httpd.conf could vary. I can't give you a blanket/global advise to run it correctly as this depends on your infrastructure and your system.

In which log do you find your errormessage? In the apache log or in the Redmine log?

By the way, Apache let Rails applications run under the folderowner. If your Redmine rootfolder is the user apache and your log folder has a owner of

root, it may be that the apache user can't access the log folder and this way can't create a logfile. Ensure that the user and usergroup is set in the

whole application correctly.

Maybe
chown -r user:group /path/to/redmine

could help you.

#6 - 2014-02-10 05:19 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Priority changed from Urgent to Normal

- Resolution set to No feedback
